Open CASCADE Technology: GC_MakeTrimmedCone Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GC_MakeTrimmedCone Class Reference

Implements construction algorithms for a trimmed cone limited by two planes orthogonal to its axis. The result is a Geom_RectangularTrimmedSurface surface. A MakeTrimmedCone provides a framework for: More...

`#include <GC_MakeTrimmedCone.hxx>`

Inheritance diagram for GC_MakeTrimmedCone:
[legend]

## Public Member Functions
| GC_MakeTrimmedCone (const gp_Pnt &P1, const gp_Pnt &P2, const gp_Pnt &P3, const gp_Pnt &P4)
| Make a RectangularTrimmedSurface <TheCone> from Geom It is trimmed by P3 and P4. Its axis is <P1P2> and the radius of its base is the distance between <P3> and <P1P2>. The distance between <P4> and <P1P2> is the radius of the section passing through <P4>. An error iss raised if <P1>,<P2>,<P3>,<P4> are colinear or if <P3P4> is perpendicular to <P1P2> or <P3P4> is colinear to <P1P2>. More...
| GC_MakeTrimmedCone (const gp_Pnt &P1, const gp_Pnt &P2, const Standard_Real R1, const Standard_Real R2)
| Make a RectangularTrimmedSurface from Geom <TheCone> from a cone and trimmed by two points P1 and P2 and the two radius <R1> and <R2> of the sections passing through <P1> an <P2>. Warning If an error occurs (that is, when IsDone returns false), the Status function returns: More...
const Handle < Geom_RectangularTrimmedSurface > & | Value () const
| Returns the constructed trimmed cone. StdFail_NotDone if no trimmed cone is constructed. More...
const Handle < Geom_RectangularTrimmedSurface > & | Operator () const
| operator Handle_Geom_RectangularTrimmedSurface () const
Public Member Functions inherited from GC_Root
Standard_Boolean | IsDone () const
| Returns true if the construction is successful. More...
gce_ErrorType | Status () const
| Returns the status of the construction: More...

## Additional Inherited Members
Protected Attributes inherited from GC_Root
gce_ErrorType | TheError

## Detailed Description

Implements construction algorithms for a trimmed cone limited by two planes orthogonal to its axis. The result is a Geom_RectangularTrimmedSurface surface. A MakeTrimmedCone provides a framework for:

- defining the construction of the trimmed cone,
- implementing the construction algorithm, and
- consulting the results. In particular, the Value function returns the constructed trimmed cone.

## Constructor & Destructor Documentation

GC_MakeTrimmedCone::GC_MakeTrimmedCone | ( | const gp_Pnt & | P1,
|  | const gp_Pnt & | P2,
|  | const gp_Pnt & | P3,
|  | const gp_Pnt & | P4
| ) |  |

Make a RectangularTrimmedSurface <TheCone> from Geom It is trimmed by P3 and P4. Its axis is <P1P2> and the radius of its base is the distance between <P3> and <P1P2>. The distance between <P4> and <P1P2> is the radius of the section passing through <P4>. An error iss raised if <P1>,<P2>,<P3>,<P4> are colinear or if <P3P4> is perpendicular to <P1P2> or <P3P4> is colinear to <P1P2>.

GC_MakeTrimmedCone::GC_MakeTrimmedCone | ( | const gp_Pnt & | P1,
|  | const gp_Pnt & | P2,
|  | const Standard_Real | R1,
|  | const Standard_Real | R2
| ) |  |

Make a RectangularTrimmedSurface from Geom <TheCone> from a cone and trimmed by two points P1 and P2 and the two radius <R1> and <R2> of the sections passing through <P1> an <P2>. Warning If an error occurs (that is, when IsDone returns false), the Status function returns:

- gce_ConfusedPoints if points P1 and P2, or P3 and P4, are coincident;
- gce_NullAngle if:
- the lines joining P1 to P2 and P3 to P4 are parallel, or
- R1 and R2 are equal (i.e. their difference is less than gp::Resolution());
- gce_NullRadius if:
- the line joining P1 to P2 is perpendicular to the line joining P3 to P4, or
- the points P1, P2, P3 and P4 are collinear;
- gce_NegativeRadius if R1 or R2 is negative; or
- gce_NullAxis if points P1 and P2 are coincident (2nd syntax only).

## Member Function Documentation

const Handle< Geom_RectangularTrimmedSurface >& GC_MakeTrimmedCone::Operator | ( |  | ) | const

GC_MakeTrimmedCone::operator Handle_Geom_RectangularTrimmedSurface | ( |  | ) | const

const Handle< Geom_RectangularTrimmedSurface >& GC_MakeTrimmedCone::Value | ( |  | ) | const

Returns the constructed trimmed cone. StdFail_NotDone if no trimmed cone is constructed.

The documentation for this class was generated from the following file:

- GC_MakeTrimmedCone.hxx